#!/bin/bash
# 2.9) Ebooks:

function configurar_ebooks() {
    PARAM="${1}"
    CONT="${2}"
    PRIVADA="$(jq -r ".${PARAM}[${CONT}].navegacion_privada" "${FICHCONFJSON}")"
    # Comprobamos el navegador Web disponible que hará de visor del ebook:
    if [ -f "/usr/bin/chromium-browser" ] ; then
        ! "${PRIVADA}" && \
        NAVEGADOR="chromium-browser --new-window" || \
        NAVEGADOR="chromium-browser --incognito"
        elif [ -f "/usr/bin/google-chrome-stable" ] ; then
        ! "${PRIVADA}" && \
        NAVEGADOR="google-chrome-stable --new-window" || \
        NAVEGADOR="google-chrome-stable --incognito"
        elif [ -f "/usr/bin/firefox" ] ; then
        ! "${PRIVADA}" && \
        NAVEGADOR="firefox -new-window" || \
        NAVEGADOR="firefox -private"
    fi
    URL="$(jq -r ".${PARAM}[${CONT}].url" "${FICHCONFJSON}")"
    LANZADOR="$(jq -r ".${PARAM}[${CONT}].lanzador" "${FICHCONFJSON}")"
    NAME="$(jq -r ".${PARAM}[${CONT}].name" "${FICHCONFJSON}")"
    NAME_ES="$(jq -r ".${PARAM}[${CONT}].name_es" "${FICHCONFJSON}")"
    COMENTARIO="$(jq -r ".${PARAM}[${CONT}].comment" "${FICHCONFJSON}")"
    COMENTARIO_ES="$(jq -r ".${PARAM}[${CONT}].comment_es" "${FICHCONFJSON}")"
    EXEC="${NAVEGADOR} ${URL}"
    # Logo SVG guardado normalmente en: /usr/share/icons/hicolor/scalable/apps/
    LOGO_DESK="$(jq -r ".${PARAM}[${CONT}].icon" "${FICHCONFJSON}")"
    CATEGORIAS="$(jq -r ".${PARAM}[${CONT}].categories" "${FICHCONFJSON}")"
    EN_ESCRITORIOS="$(jq -r ".${PARAM}[${CONT}].lanzador_en_Escritorios" "${FICHCONFJSON}")"
    UIDS="$(jq -r ".${PARAM}[${CONT}].uids" "${FICHCONFJSON}")"
    GIDS="$(jq -r ".${PARAM}[${CONT}].gids" "${FICHCONFJSON}")"
    if vx-conf-lanzadores-desktop --crear "${LANZADOR}" \
    "${NAME}" \
    "${NAME_ES}" \
    "${COMENTARIO}" \
    "${COMENTARIO_ES}" \
    "${EXEC}" \
    "${LOGO_DESK}" \
    "${CATEGORIAS}" \
    "${EN_ESCRITORIOS}" \
    "${UIDS}" \
    "${GIDS}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha creado el lanzador al Ebook correctamente: ${LANZADOR}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas para crear el lanzador del Ebook: ${LANZADOR}"
    fi
    
}

"${echo_titulo}" "*  [[ Configuración de Ebooks ... ]]  *"
PARAM="ebooks.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configuracion de Ebooks" "configurar_ebooks"